#!/bin/bash

cat GmHapMap.vcf | java -Xmx100g ./snpEff/SnpSift.jar intervals gmgenes.bed > REF_II.vcf

parallel -j 20 vcftools --vcf REF_II.vcf --chr Chr{} --recode --out REF_II_{} ::: $(1 20)


parallel -j 5 java -Xss515m -Xmx100000m -jar beagle.jar nthreads=10 window=100000 overlap=10000 niterations=100 err=0.0001 gt=REF_II_{}.vcf.gz ::: $(seq 1 20)


