#!/bin/bash


parallel -j 20 vcftools --gzvcf GmHapMap.vcf.gz --out ./Gm_{}/GmHapMap_chr_{} --plink ::: $(seq 1 20)


parallel -j 20 plink --noweb --ped ./Gm_{}/GmHapMap_chr_{}.ped --map ./Gm_{}/GmHapMap_chr_{}.map --make-bed --out ./Gm_{}/GmHapMap_chr_{} ::: $(seq 1 20)


parallel -j 20 structure.py -K {} --input=./Gm_{}/GmHapMap_chr_{} --output=./Gm_{}/GmHapMap_chr_{}_struct --full ::: $(seq 1 15)


parallel -j 15 distruct.py -K {} --input=./Gm_{}/GmHapMap_chr_{} --title=GmHapMap_chr_{} --output=./Gm_{}/GmHapMap_chr_{}_distruct_K_{} ::: $(seq 1 15)


parallel -j 20 chooseK.py --input=./Gm_{}/GmHapMap_chr_{}_struct ::: $(seq 1 20)